// qmSubMatrix.c++

#include "qmSubMatrix.h"

qmSubMatrix::qmSubMatrix( int r, int c )
  : qmSubMatrixRef( r, c, c, 0 ), storage( r, c )
{
  array = storage.getArray();
}

qmSubMatrix&
qmSubMatrix::set( int r, int c, int i, int j )
{
  array = storage.getArray( i, j ); //  + i*width + j;
  elementCount = r*c;
  width = c;
  spacing = storage.getWidth() - c;
  return *this;
}
