// qmVectorArrayRef.h++

#ifndef _qmVectorArrayRef_H_
#define _qmVectorArrayRef_H_

#include "qmVectorRef.h"

class qmVectorArrayRef
{
    qmVectorRef ref;
    int elementCount;
    int elementSize;
    void* mem;

public:
    qmVectorArrayRef();
    qmVectorArrayRef( qmVectorRef&, int );
    void set( qmVectorRef&, int );
    inline qmVectorRef& operator[]( int );
    void barf() { cerr << qmVectorRef( ref.getLength()*elementCount, (real*)mem ) << endl; }
    qmVectorArrayRef& referTo( void* p ) { mem = p; return *this; }
    int getByteCount() { return( elementCount*elementSize ); }
};

inline qmVectorRef&
qmVectorArrayRef::operator[]( int i )
{
    return ref.referTo( ((char*)mem) + i * elementSize );
}

#endif /* _qmVectorArrayRef_H_ */
