// qmdMinMax.h++

#ifndef _qmdMinMax_H_
#define _qmdMinMax_H_

template < class T_ >
inline
T_
qmdmax( const T_ a, const T_ b )
{
  return( (a > b) ? a : b );
}

template < class T_ >
inline
T_
qmdmin( const T_ a, const T_ b )
{
  return( (a < b) ? a : b );
}

template < class T_ >
inline
T_
qmdlimit( const T_ a, const T_ low, const T_ high )
{
  return qmdmin( high, qmdmax(low, a ) );
}

#endif /* _qmdMinMax_H_ */
