// qmdSubMatrix.c++

#include "qmdSubMatrix.h"

qmdSubMatrix::qmdSubMatrix( int r, int c )
  : qmdSubMatrixRef( r, c, c, 0 ), storage( r, c )
{
  array = storage.getArray();
}

qmdSubMatrix&
qmdSubMatrix::set( int r, int c, int i, int j )
{
  array = storage.getArray( i, j ); //  + i*width + j;
  elementCount = r*c;
  width = c;
  spacing = storage.getWidth() - c;
  return *this;
}
