// qmdUnitQuaternion.h++

#ifndef _qmdUnitQuaternion_H_
#define _qmdUnitQuaternion_H_

#include "qmdUnitQuaternionRef.h"
#include "qmdVector.h"

class qmdUnitQuaternion : public qmdUnitQuaternionRef
{
    reald storage[4];
public:
    qmdUnitQuaternion() { qmdUnitQuaternionRef::set( storage ); }
    inline qmdUnitQuaternionRef& operator=( const qmdUnitQuaternionRef& );
};

inline
qmdUnitQuaternionRef&
qmdUnitQuaternion::operator=( const qmdUnitQuaternionRef& uq )
{
    qmdVectorRef::copy( uq );
    return *this;
}

typedef qmdUnitQuaternion qmdQuat;

#endif /* _qmdUnitQuaternion_H_ */
