// qmdVector.h++

#ifndef _qmdVector_H_
#define _qmdVector_H_

#include <stddef.h>
#include <iostream.h>
#include <assert.h>
#include "qmdreald.h"
#include "qmdVectorRef.h"

class qmdVector : public qmdVectorRef
{
    reald *allocArray;
public:
    virtual ~qmdVector() { if( allocArray ) delete [] allocArray; }
    qmdVector( )
      : qmdVectorRef( ), allocArray(0) {}
    qmdVector( int n );
    qmdVector( int n, reald *data );
    qmdVector( const qmdVector& );
    qmdVector( const qmdVectorRef& );
    qmdVector& set( int n );
    qmdVector& set( int n, reald *data );
    qmdVector& set( const qmdVectorRef& );
    qmdVector& operator=( const qmdVectorRef& qv ) { return set(qv); }
};

#endif /* _qmdVector_H_ */
