// qmdVectorArrayRef.h++

#ifndef _qmdVectorArrayRef_H_
#define _qmdVectorArrayRef_H_

#include "qmdVectorRef.h"

class qmdVectorArrayRef
{
    qmdVectorRef ref;
    int elementCount;
    int elementSize;
    void* mem;

public:
    qmdVectorArrayRef();
    qmdVectorArrayRef( qmdVectorRef&, int );
    void set( qmdVectorRef&, int );
    inline qmdVectorRef& operator[]( int );
    void barf() { cerr << qmdVectorRef( ref.getLength()*elementCount, (reald*)mem ) << endl; }
    qmdVectorArrayRef& referTo( void* p ) { mem = p; return *this; }
    int getByteCount() { return( elementCount*elementSize ); }
};

inline qmdVectorRef&
qmdVectorArrayRef::operator[]( int i )
{
    return ref.referTo( ((char*)mem) + i * elementSize );
}

#endif /* _qmdVectorArrayRef_H_ */
