// glDisplay.h++

#ifndef _glDisplay_H_
#define _glDisplay_H_

#include "mil.h"
#include "matrox.h"

class glDisplay
{
public:
    MIL_ID MilDisplay,       /* Display identifier.      */
         MilImage;         /* Image buffer identifier. */

    enum { RGB = 0, YUV = 1 };

private:
    int height;
    int width;
    int packing;

public:

    glDisplay()
      : height( 0 ), width( 0 ), packing( 0 ) {MilImage = M_NULL; MilDisplay = M_NULL;}
    ~glDisplay();
    glDisplay( int h, int w, char * = "glDisplay", int = RGB );
    void init( int h, int w, char * = "glDisplay", int = RGB );
    glDisplay& operator=( unsigned long * );
    void close();
};

#endif /* _glDisplay_H_ */
