#include "vlImage.h"
#include "glDisplay.h"
#include <stdio.h>
#include <windows.h>

int main( int argc, char *argv[] )
{
    char myinput[100] = "M_NTSC_YC";
    int width;
    int height;

    vliYUVImageRef iref;
    vlImage::init( myinput, 1, vlImage::YUV,
		   24, 12, 340, 240);
    //sginap( 50 );
    vlImage::grab( iref );

    width = iref.getWidth();
    height = iref.getHeight();

    glDisplay gldpy;
    gldpy.init( height, width ,"test", glDisplay::RGB);

    for(int i=0;i<500;i++){
      vlImage::grab( iref );
      vliRGBImage rgbImage( width, height );
      iref._tobgra( rgbImage.getPixelData() );
      gldpy = (unsigned long *) rgbImage.getPixelPtr(0);
      //gldpy = (unsigned long *) iref.getPixelData();

    //Sleep(1000);
    }
           long BufSizeBand;
   MdigInquire(vlImage::MilDigitizer, M_SIZE_BAND, &BufSizeBand);
    cerr << "Band = " << BufSizeBand << endl;

           long bits;
   MdigInquire(vlImage::MilDigitizer, M_SIZE_BIT, &bits);
    cerr << "Bits = " << bits << endl;

    vlImage::free();

    width = iref.getWidth();

    return 0;
}


