// vliRGBPixel.c++

#include "vliRGBPixel.h"

ostream& 
vliRGBPixel::write( ostream& os )
{
    os.put( r() );
    os.put( g() );
    os.put( b() );
    return os;
}

istream&
vliRGBPixel::read( istream& is )
{
    is.get( r() );
    is.get( g() );
    is.get( b() );
    return is;
}

ostream&
vliRGBPixel::print( ostream& os )
{
    os << (int)r() << "  ";
    os << (int)g() << "  ";
    os << (int)b();
    return os;
}

static inline int limit(int x,int a,int b) { return( (x<a)?a:(x>b)?b:x ); }

istream&
vliRGBPixel::scan( istream& is )
{

    int tmp;
    is >> tmp;
    r() = limit( tmp, 0, 255 );
    is >> tmp;
    g() = limit( tmp, 0, 255 );
    is >> tmp;
    b() = limit( tmp, 0, 255 );
    return is;
}
