// vliRGBImage.h++

#ifndef _vliRGBImage_H_
#define _vliRGBImage_H_
#include "vlImageGlobal.h"
#include "vliTypes.h"
#include "vliRGBImageRef.h"

class EXPORT_CLASS vliRGBImage : public vliRGBImageRef
{
    byte *allocArray;
public:
    vliRGBImage()
      : allocArray( 0 ), vliRGBImageRef( 0, 0, 0 ) {}
    vliRGBImage( int w, int h );
    vliRGBImage( const vliRGBImage& );
    vliRGBImage( const vliRGBImageRef& );
    ~vliRGBImage() { delete [] allocArray; }
    void set( int w, int h );
    void set( const vliRGBImageRef& );
};

#endif /* _vliRGBImage_H_ */
