// vliRGBPixel.h++

#ifndef _vliRGBPixel_H_
#define _vliRGBPixel_H_
#include "vlImageGlobal.h"
#include "vliTypes.h"
#include <iostream.h>

class EXPORT_CLASS vliRGBPixel
{
public:
    //byte bgrx[4];
    byte b;
    byte g;
    byte r;
    byte x;
    inline byte& red() { return r; }
    inline byte& green() { return g; }
    inline byte& blue() { return b; }
    inline byte getR() const { return r; }
    inline byte getG() const { return g; }
    inline byte getB() const { return b; }
    enum { BLUE=0, GREEN=1, RED=2,UNUSED=3  };
    enum {B=0, G=1, R=2, X=3 };
    vliRGBPixel() {}
    vliRGBPixel( byte r_, byte g_, byte b_ ) {
	r = r_;
	g = g_;
	b = b_;
    }
    void set( byte r_, byte g_, byte b_ ) {
	r = r_;
	g = g_;
	b = b_;
    }
    ostream& write( ostream& );
    istream& read( istream& );
    ostream& print( ostream& );
    istream& scan( istream& );
};

#endif /* _vliRGBPixel_H_ */
