// atest.c++

#include "qmVectorRef.h++"
// #include "qmVectorArrayRef.h++"
#include "qmArrayRef.h++"
#include "qmArray.h++"

#define VEC qmVectorRef
#define VecArray qmArrayRef< VEC >
#define VecArray2 qmArray< VecArray >

int
main( int argc, char *argv[] )
{
#if 0
    qmVectorRef vr( 3, 0 );
    qmVectorArrayRef var( vr, 10 );

    var.barf();

    for( int i = 0; i < 10; i++ )
       var[i].setConst( i );

    var.barf();
#endif

#if 0
    qmVectorRef vr( 3, 0 );
    qmArrayRef< qmVectorRef > ar( vr, 10 );
    cout << ar << endl;
    for( int i = 0; i < 10; i++ )
       ar[i].setConst( i );
    cout << ar << endl;
#endif

#if 0
    static real buf[30];
    qmVectorRef vr( 3, 0 );
    qmArrayRef< qmVectorRef > ar( vr, 10, buf );
    cout << ar << endl;
    for( int i = 0; i < 10; i++ )
       ar[i].setConst( i );
    cout << ar << endl;
#endif

#if 0
    static real buf[30*4];
    qmVectorRef vr( 3, 0 );
    qmArrayRef< qmVectorRef > ar( vr, 10, 0 );
    qmArrayRef< qmArrayRef< qmVectorRef > > aar( ar, 4, buf );
    cout << aar << endl;
    for( int j = 0; j < 4; j++ )
       for( int i = 0; i < 10; i++ )
	  aar[j][i].setConst( 10*j + i );
    cout << aar << endl;
#endif

#if 0
    qmArray< qmArrayRef< qmVectorRef > > 
       aar( qmArrayRef< qmVectorRef >( qmVectorRef(3,0), 10, 0 ), 7 );
    for( int j = 0; j < 7; j++ )
       for( int i = 0; i < 10; i++ )
	  aar[j][i].setConst( 10*j + i );
    cout << aar << endl;
#endif

    VecArray2 aar( VecArray( VEC(3,0), 10, 0 ), 7 );
    for( int j = 0; j < 7; j++ )
       for( int i = 0; i < 10; i++ )
	  aar[j][i].setConst( 10*j + i );
    cout << aar << endl;

    return 0;
}
