// qmMinMax.h++

#ifndef _qmMinMax_H_
#define _qmMinMax_H_

template < class T_ >
inline
T_
qmmax( const T_ a, const T_ b )
{
  return( (a > b) ? a : b );
}

template < class T_ >
inline
T_
qmmin( const T_ a, const T_ b )
{
  return( (a < b) ? a : b );
}

template < class T_ >
inline
T_
qmlimit( const T_ a, const T_ low, const T_ high )
{
  return qmmin( high, qmmax(low, a ) );
}

#endif /* _qmMinMax_H_ */
