// qmdEigenStructure.h++

#ifndef _qmdEigenStructure_H_
#define _qmdEigenStructure_H_

// THIS CURRENTLY ONLY WORKS FOR SYMMETRIC MATRICES !!!!!!!!!!!!!

#include <math.h>
#include "qmdMatrixRef.h"
#include "qmdMatrix.h"
#include "qmdVectorRef.h"
#include "qmdVector.h"

class qmdEigenStructure
{
    qmdMatrix eigenVectors;
    qmdVector eigenValues;

public:

    qmdEigenStructure() {}
    qmdEigenStructure( const qmdMatrixRef& );
    qmdEigenStructure& set( const qmdMatrixRef& );
    qmdMatrixRef& getEigVectors() { return eigenVectors; }
    qmdVectorRef& getEigValues() { return eigenValues; }

    // !! eigenSymmetric2: evectors in ROWS
    // !! eigenSymmetric: evectors in COLUMNS

    static int eigenSymmetric2( const qmdMatrixRef& sym2x2Mat,
				qmdVectorRef& eValOut, 
				qmdMatrixRef& eVecOut );
    static qmdVectorRef& eigenSymmetric( const qmdMatrixRef& symMat, 
					qmdVectorRef& eValOut,
					qmdMatrixRef& eVecOut );

};

typedef qmdEigenStructure qmdEig;

#endif /* _qmdEigenStructure_H_ */
