// qmdVectorArrayRef.c++

#include "qmdVectorArrayRef.h"

qmdVectorArrayRef::qmdVectorArrayRef()
  : ref(), mem( 0 ), elementCount( 0 ), elementSize( 0 )
{}

qmdVectorArrayRef::qmdVectorArrayRef( qmdVectorRef& vr, int n )
  : ref(), mem( 0 ), elementCount( 0 ), elementSize( 0 )
{
    set( vr, n );
}

void
qmdVectorArrayRef::set( qmdVectorRef& vr, int n )
{
    if( mem )
       delete [] mem;
    elementCount = n;
    elementSize = vr.getByteCount();
    mem = new char[ n * elementSize ];
    ref = vr;
    ref.referTo( mem );
}

