// RPCServer.h++

#ifndef _RPCServer_H_
#define _RPCServer_H_

#if defined(__alpha)
#include <pthread.h>
typedef pthread_t  thread_t;
#define thread_attr_default pthread_attr_default
#define PTHREAD_MAX_PRIORITY PRI_OTHER_MIN
#define PTHREAD_MIN_PRIORITY PRI_OTHER_MAX
#define PTHREAD
#endif

#ifdef WIN32
#include <windows.h>
#endif

#include <stdio.h>
//#include <rpc/rpc.h>
#include <errno.h>
#include <signal.h>
//#include <unistd.h>

#if defined(__sgi)
#include <sys/prctl.h>
#define SPROC
#endif

extern "C" void rpc_init(void);

class RPCServer
{
 protected:
    unsigned long child_pid;

 public:
    //static void service_rpc();
   // static unsigned long serverThread( void* );

#if defined(__alpha) || defined(IRIX64)
    void cleanup(int foo=0);
#else
    void cleanup(...);
#endif
    //static int quitFlag;

    RPCServer();
    int start();
    
};

#endif /* _RPCServer_H_ */
