// SkinGrabberView.h : interface of the CSkinGrabberView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SKINGRABBERVIEW_H__BB67B952_2377_11D3_80D8_005004782BFA__INCLUDED_)
#define AFX_SKINGRABBERVIEW_H__BB67B952_2377_11D3_80D8_005004782BFA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSkinGrabberView : public CFormView
{
protected: // create from serialization only
	CSkinGrabberView();
	DECLARE_DYNCREATE(CSkinGrabberView)

public:
	//{{AFX_DATA(CSkinGrabberView)
	enum { IDD = IDD_SKINGRABBER_FORM };
	CStatic	meancolorview;
	CStatic	view;
	CString	covtext;
	CString	meantext;
	BOOL	input0;
	BOOL	input1;
	//}}AFX_DATA

// Attributes
public:
	BOOL SetImage(BYTE * data, SIZE dims);
  void Draw(CDC* pDC);
	CSkinGrabberDoc* GetDocument();
	vliRGBImageRef iref;
  vliRGBImage rgbImage;
  vlImage grabber;
  int width,height;

  BITMAPINFO                  m_bmi;
  BYTE*                       m_bmp;
  SIZE                        dims;

  float mean[3];
  float cov[3][3];
  float invcov[3][3];

  float sum[3];
  float sum2[3][3];
  int count;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSkinGrabberView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
public:
	void Init(int card);
	void AccumulateExample(int x, int y);
	void DrawExample(int x, int y);
	virtual ~CSkinGrabberView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSkinGrabberView)
	afx_msg void OnGrab();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnCommit();
	afx_msg void OnReset();
	afx_msg void OnInput0();
	afx_msg void OnInput1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in SkinGrabberView.cpp
inline CSkinGrabberDoc* CSkinGrabberView::GetDocument()
   { return (CSkinGrabberDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SKINGRABBERVIEW_H__BB67B952_2377_11D3_80D8_005004782BFA__INCLUDED_)
