// StiveViewerDlg.h : header file
//

#if !defined(AFX_STIVEVIEWERDLG_H__9BFB9B57_2B0B_11D3_80DE_005004782BFA__INCLUDED_)
#define AFX_STIVEVIEWERDLG_H__9BFB9B57_2B0B_11D3_80DE_005004782BFA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CStiveViewerDlg dialog
#include "render.h"
#include "types.h"
#include "putty.h"
#include "sffinderclient.h"

class CStiveViewerDlg : public CDialog
{
// Construction
public:
	void QuaternionToVecTheta(double * q, double *r);
	CString text;
	int frame;
	int inited;
	void DrawPutty();
	void Draw();
  int stop;
	CStiveViewerDlg(CWnd* pParent = NULL);	// standard constructor

  CPutty *left,*right,*head;

  SffinderClient sffinder;

  char hostname[100];
  CString lffinder_cmd;
  CString rffinder_cmd;
  CString sffinder_cmd;
  CString skingrab_cmd;
  CString worldbaby_cmd;

// Dialog Data
	//{{AFX_DATA(CStiveViewerDlg)
	enum { IDD = IDD_STIVEVIEWER_DIALOG };
	CStatic	view;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStiveViewerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CStiveViewerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnStart();
	afx_msg void OnStop();
	afx_msg void OnDestroy();
	afx_msg void OnCalibrateSkin();
	afx_msg void OnCalibrateWorld();
	afx_msg void OnCalibrateCameras();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STIVEVIEWERDLG_H__9BFB9B57_2B0B_11D3_80DE_005004782BFA__INCLUDED_)
