// Utility.h

//This function calculates the normalized cross-product of AxB
void NormCrossProd(Vector3f & n, Vector3f & vA, Vector3f & vB);

//This function converts from spherical coordinates to cartesian
void SphericalToXYZ(Vector3f & v, float r, float phi, float theta);

//This function adds a control pt to a CPutty object and returns
//its identifying index
int AddControlPt(CPutty * pObj, float x, float y, float z, 
				  float xOffset, float yOffset, float zOffset,
				  float Rigidness, float Locality);

void RenderEnvironmentScene(void);