#ifndef __FFINDER_PC_H__
#define __FFINDER_PC_H__

struct ffConfig {
	int mode;
	int lightThresh;
};
typedef struct ffConfig ffConfig;

struct ffImagePoint {
	int valid;
	float u;
	float v;
	float suu;
	float svv;
	float suv;
};
typedef struct ffImagePoint ffImagePoint;

struct ffQuickPoints {
	float pts[12];
};
typedef struct ffQuickPoints ffQuickPoints;

struct ffPerson {
	long frameNumber;
	long timestampSec;
	long timestampUsec;
	int personExists;
	ffImagePoint leftHand;
	ffImagePoint rightHand;
	ffImagePoint head;
};
typedef struct ffPerson ffPerson;

#endif