
#include "matrox.h"

MIL_ID MatroxEnvironment::MilApplication = M_NULL;
MIL_ID MatroxEnvironment::VgaSystem = M_NULL;

MatroxEnvironment _MatroxEnvironment;

MatroxEnvironment::MatroxEnvironment()
{
  if(MilApplication==M_NULL){
    /* Allocate a MIL application. */
    MappAlloc(M_DEFAULT, &MilApplication);

    /* Allocate a MIL Display system. */
    MsysAlloc(M_SYSTEM_VGA, M_DEV0, M_DEFAULT+M_NO_DDRAW, &VgaSystem);
  }
}

MatroxEnvironment::~MatroxEnvironment(){
  if(MilApplication!=M_NULL){
    MsysFree(VgaSystem);
    VgaSystem = M_NULL;
    MappFree(MilApplication);
    MilApplication = M_NULL;
  }
}

void MatroxEnvironment::close(){
    if(MilApplication!=M_NULL){
    MsysFree(VgaSystem);
    VgaSystem = M_NULL;
    MappFree(MilApplication);
    MilApplication = M_NULL;
  }
}