// qmSampleAcc.c++

#include "qmSampleAcc.h"

qmSampleAcc::qmSampleAcc( const int dim )
  : qmSampleAccRef(), allocArray( 0 ) 
{
    set( dim );
}

void
qmSampleAcc::set( const int n )
{
    if( !( allocArray && sampleCount == ( n + 1 )*n ) )
       {
	   if( allocArray )
	      delete [] allocArray;
	   allocArray = new real[ (n + 1)*n ];
       }
    qmSampleAccRef::set( n, allocArray );
}

