// SffinderServer.h++

#ifndef _SffinderServer_H_
#define _SffinderServer_H_

#include <stdio.h>
#include <rpc.h>
#include <errno.h>
#include <signal.h>
#include "sffinder.h"

class SffinderServer
{
 public:
	 void quit();
    static int undumpFlag;
    static sffPerson homey;
    static sffPersonPlus homeyPlus;
    static int homeyLock;
    static int sleepFlag;
    // void cleanup(...);

    static int quitFlag;
    
    SffinderServer();
    void start();
    void init();
    void cleanup();
    void copy( const sffPersonPlus& );
    void copy( const sffPerson& );
};

#endif /* _SffinderServer_H_ */
