// vliRGBPixel.h++

#ifndef _vliRGBPixel_H_
#define _vliRGBPixel_H_
#include "vlImageGlobal.h"
#include "vliTypes.h"
#include <iostream.h>

class EXPORT_CLASS vliRGBPixel
{
public:
    byte bgrx[4];
    inline byte& red() { return bgrx[2]; }
    inline byte& green() { return bgrx[1]; }
    inline byte& blue() { return bgrx[0]; }
    inline byte& r() { return bgrx[2]; }
    inline byte& g() { return bgrx[1]; }
    inline byte& b() { return bgrx[0]; }
    inline byte getR() const { return bgrx[2]; }
    inline byte getG() const { return bgrx[1]; }
    inline byte getB() const { return bgrx[0]; }
    enum { BLUE=0, GREEN=1, RED=2,UNUSED=3  };
    enum {B=0, G=1, R=2, X=3 };
    vliRGBPixel() {}
    vliRGBPixel( byte r_, byte g_, byte b_ ) {
	bgrx[2] = r_;
	bgrx[1] = g_;
	bgrx[0] = b_;
    }
    void set( byte r_, byte g_, byte b_ ) {
	bgrx[2] = r_;
	bgrx[1] = g_;
	bgrx[0] = b_;
    }
    ostream& write( ostream& );
    istream& read( istream& );
    ostream& print( ostream& );
    istream& scan( istream& );
};

#endif /* _vliRGBPixel_H_ */
